module.exports = (messageContent, prefix) => {
  if (!messageContent.match(new RegExp(prefix, 'g'))) {
    console.warn('Prefix not found in:', messageContent);
  }
  const args = messageContent.slice(prefix.length).split(/ +/);
  const commandName = args.shift().toLowerCase();
  const commandContent = args.join(' ');

  return {
    args,
    commandName,
    commandContent,
  };
};
